export type Contact = {
    icon?: string,
    text: string
}

export type Job = {
    position: string,
    company: string,
    timerange: string,
    description: string
}

export type Jobs = {
    current?: Job,
    previous?: Job[]
}

export type Education = Jobs;

export type Skills = {
    primary: string[],
    secondary?: string[],
    languages?: string[],
    others?: string[]
}

export type PersonalData = {
    updatedDate: string,
    name: string,
    brief: string,
    contacts: Contact[],
    jobs: Jobs,
    education?: Education,
    skills: Skills,
    interests: string[]
}
